source: git/omalloc/configure @ 66502b8

spielwiese
Last change on this file since 66502b8 was 66502b8, checked in by Olaf Bachmann <obachman@…>, 24 years ago
This commit was generated by cvs2svn to compensate for changes in r3855, which included commits to RCS files with non-trunk default branches. git-svn-id: file:///usr/local/Singular/svn/trunk@3856 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 66.6 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-mtrack           use mpr routines for extended memory tracking
16                             -- works only under ix86-Linux"
17ac_help="$ac_help
18  --with-align8           only use 8-aligned memory"
19ac_help="$ac_help
20  --enable-stat           enable memory statistics"
21ac_help="$ac_help
22  --disable-mtrack        disable memory track"
23
24# Initialize some variables set by options.
25# The variables have the same names as the options, with
26# dashes changed to underlines.
27build=NONE
28cache_file=./config.cache
29exec_prefix=NONE
30host=NONE
31no_create=
32nonopt=NONE
33no_recursion=
34prefix=NONE
35program_prefix=NONE
36program_suffix=NONE
37program_transform_name=s,x,x,
38silent=
39site=
40srcdir=
41target=NONE
42verbose=
43x_includes=NONE
44x_libraries=NONE
45bindir='${exec_prefix}/bin'
46sbindir='${exec_prefix}/sbin'
47libexecdir='${exec_prefix}/libexec'
48datadir='${prefix}/share'
49sysconfdir='${prefix}/etc'
50sharedstatedir='${prefix}/com'
51localstatedir='${prefix}/var'
52libdir='${exec_prefix}/lib'
53includedir='${prefix}/include'
54oldincludedir='/usr/include'
55infodir='${prefix}/info'
56mandir='${prefix}/man'
57
58# Initialize some other variables.
59subdirs=
60MFLAGS= MAKEFLAGS=
61SHELL=${CONFIG_SHELL-/bin/sh}
62# Maximum number of lines to put in a shell here document.
63ac_max_here_lines=12
64
65ac_prev=
66for ac_option
67do
68
69  # If the previous option needs an argument, assign it.
70  if test -n "$ac_prev"; then
71    eval "$ac_prev=\$ac_option"
72    ac_prev=
73    continue
74  fi
75
76  case "$ac_option" in
77  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
78  *) ac_optarg= ;;
79  esac
80
81  # Accept the important Cygnus configure options, so we can diagnose typos.
82
83  case "$ac_option" in
84
85  -bindir | --bindir | --bindi | --bind | --bin | --bi)
86    ac_prev=bindir ;;
87  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
88    bindir="$ac_optarg" ;;
89
90  -build | --build | --buil | --bui | --bu)
91    ac_prev=build ;;
92  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
93    build="$ac_optarg" ;;
94
95  -cache-file | --cache-file | --cache-fil | --cache-fi \
96  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
97    ac_prev=cache_file ;;
98  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
99  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
100    cache_file="$ac_optarg" ;;
101
102  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
103    ac_prev=datadir ;;
104  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
105  | --da=*)
106    datadir="$ac_optarg" ;;
107
108  -disable-* | --disable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    eval "enable_${ac_feature}=no" ;;
116
117  -enable-* | --enable-*)
118    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
119    # Reject names that are not valid shell variable names.
120    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
121      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
122    fi
123    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
124    case "$ac_option" in
125      *=*) ;;
126      *) ac_optarg=yes ;;
127    esac
128    eval "enable_${ac_feature}='$ac_optarg'" ;;
129
130  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
131  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
132  | --exec | --exe | --ex)
133    ac_prev=exec_prefix ;;
134  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
135  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
136  | --exec=* | --exe=* | --ex=*)
137    exec_prefix="$ac_optarg" ;;
138
139  -gas | --gas | --ga | --g)
140    # Obsolete; use --with-gas.
141    with_gas=yes ;;
142
143  -help | --help | --hel | --he)
144    # Omit some internal or obsolete options to make the list less imposing.
145    # This message is too long to be a string in the A/UX 3.1 sh.
146    cat << EOF
147Usage: configure [options] [host]
148Options: [defaults in brackets after descriptions]
149Configuration:
150  --cache-file=FILE       cache test results in FILE
151  --help                  print this message
152  --no-create             do not create output files
153  --quiet, --silent       do not print \`checking...' messages
154  --version               print the version of autoconf that created configure
155Directory and file names:
156  --prefix=PREFIX         install architecture-independent files in PREFIX
157                          [$ac_default_prefix]
158  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
159                          [same as prefix]
160  --bindir=DIR            user executables in DIR [EPREFIX/bin]
161  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
162  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
163  --datadir=DIR           read-only architecture-independent data in DIR
164                          [PREFIX/share]
165  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
166  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
167                          [PREFIX/com]
168  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
169  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
170  --includedir=DIR        C header files in DIR [PREFIX/include]
171  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
172  --infodir=DIR           info documentation in DIR [PREFIX/info]
173  --mandir=DIR            man documentation in DIR [PREFIX/man]
174  --srcdir=DIR            find the sources in DIR [configure dir or ..]
175  --program-prefix=PREFIX prepend PREFIX to installed program names
176  --program-suffix=SUFFIX append SUFFIX to installed program names
177  --program-transform-name=PROGRAM
178                          run sed PROGRAM on installed program names
179EOF
180    cat << EOF
181Host type:
182  --build=BUILD           configure for building on BUILD [BUILD=HOST]
183  --host=HOST             configure for HOST [guessed]
184  --target=TARGET         configure for TARGET [TARGET=HOST]
185Features and packages:
186  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
187  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
188  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
189  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
190  --x-includes=DIR        X include files are in DIR
191  --x-libraries=DIR       X library files are in DIR
192EOF
193    if test -n "$ac_help"; then
194      echo "--enable and --with options recognized:$ac_help"
195    fi
196    exit 0 ;;
197
198  -host | --host | --hos | --ho)
199    ac_prev=host ;;
200  -host=* | --host=* | --hos=* | --ho=*)
201    host="$ac_optarg" ;;
202
203  -includedir | --includedir | --includedi | --included | --include \
204  | --includ | --inclu | --incl | --inc)
205    ac_prev=includedir ;;
206  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
207  | --includ=* | --inclu=* | --incl=* | --inc=*)
208    includedir="$ac_optarg" ;;
209
210  -infodir | --infodir | --infodi | --infod | --info | --inf)
211    ac_prev=infodir ;;
212  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
213    infodir="$ac_optarg" ;;
214
215  -libdir | --libdir | --libdi | --libd)
216    ac_prev=libdir ;;
217  -libdir=* | --libdir=* | --libdi=* | --libd=*)
218    libdir="$ac_optarg" ;;
219
220  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
221  | --libexe | --libex | --libe)
222    ac_prev=libexecdir ;;
223  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
224  | --libexe=* | --libex=* | --libe=*)
225    libexecdir="$ac_optarg" ;;
226
227  -localstatedir | --localstatedir | --localstatedi | --localstated \
228  | --localstate | --localstat | --localsta | --localst \
229  | --locals | --local | --loca | --loc | --lo)
230    ac_prev=localstatedir ;;
231  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
232  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
233  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
234    localstatedir="$ac_optarg" ;;
235
236  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
237    ac_prev=mandir ;;
238  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
239    mandir="$ac_optarg" ;;
240
241  -nfp | --nfp | --nf)
242    # Obsolete; use --without-fp.
243    with_fp=no ;;
244
245  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
246  | --no-cr | --no-c)
247    no_create=yes ;;
248
249  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
250  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
251    no_recursion=yes ;;
252
253  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
254  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
255  | --oldin | --oldi | --old | --ol | --o)
256    ac_prev=oldincludedir ;;
257  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
258  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
259  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
260    oldincludedir="$ac_optarg" ;;
261
262  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
263    ac_prev=prefix ;;
264  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
265    prefix="$ac_optarg" ;;
266
267  -program-prefix | --program-prefix | --program-prefi | --program-pref \
268  | --program-pre | --program-pr | --program-p)
269    ac_prev=program_prefix ;;
270  -program-prefix=* | --program-prefix=* | --program-prefi=* \
271  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
272    program_prefix="$ac_optarg" ;;
273
274  -program-suffix | --program-suffix | --program-suffi | --program-suff \
275  | --program-suf | --program-su | --program-s)
276    ac_prev=program_suffix ;;
277  -program-suffix=* | --program-suffix=* | --program-suffi=* \
278  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
279    program_suffix="$ac_optarg" ;;
280
281  -program-transform-name | --program-transform-name \
282  | --program-transform-nam | --program-transform-na \
283  | --program-transform-n | --program-transform- \
284  | --program-transform | --program-transfor \
285  | --program-transfo | --program-transf \
286  | --program-trans | --program-tran \
287  | --progr-tra | --program-tr | --program-t)
288    ac_prev=program_transform_name ;;
289  -program-transform-name=* | --program-transform-name=* \
290  | --program-transform-nam=* | --program-transform-na=* \
291  | --program-transform-n=* | --program-transform-=* \
292  | --program-transform=* | --program-transfor=* \
293  | --program-transfo=* | --program-transf=* \
294  | --program-trans=* | --program-tran=* \
295  | --progr-tra=* | --program-tr=* | --program-t=*)
296    program_transform_name="$ac_optarg" ;;
297
298  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
299  | -silent | --silent | --silen | --sile | --sil)
300    silent=yes ;;
301
302  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
303    ac_prev=sbindir ;;
304  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
305  | --sbi=* | --sb=*)
306    sbindir="$ac_optarg" ;;
307
308  -sharedstatedir | --sharedstatedir | --sharedstatedi \
309  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
310  | --sharedst | --shareds | --shared | --share | --shar \
311  | --sha | --sh)
312    ac_prev=sharedstatedir ;;
313  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
314  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
315  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
316  | --sha=* | --sh=*)
317    sharedstatedir="$ac_optarg" ;;
318
319  -site | --site | --sit)
320    ac_prev=site ;;
321  -site=* | --site=* | --sit=*)
322    site="$ac_optarg" ;;
323
324  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
325    ac_prev=srcdir ;;
326  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
327    srcdir="$ac_optarg" ;;
328
329  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
330  | --syscon | --sysco | --sysc | --sys | --sy)
331    ac_prev=sysconfdir ;;
332  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
333  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
334    sysconfdir="$ac_optarg" ;;
335
336  -target | --target | --targe | --targ | --tar | --ta | --t)
337    ac_prev=target ;;
338  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
339    target="$ac_optarg" ;;
340
341  -v | -verbose | --verbose | --verbos | --verbo | --verb)
342    verbose=yes ;;
343
344  -version | --version | --versio | --versi | --vers)
345    echo "configure generated by autoconf version 2.13"
346    exit 0 ;;
347
348  -with-* | --with-*)
349    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
350    # Reject names that are not valid shell variable names.
351    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
352      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
353    fi
354    ac_package=`echo $ac_package| sed 's/-/_/g'`
355    case "$ac_option" in
356      *=*) ;;
357      *) ac_optarg=yes ;;
358    esac
359    eval "with_${ac_package}='$ac_optarg'" ;;
360
361  -without-* | --without-*)
362    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
363    # Reject names that are not valid shell variable names.
364    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
365      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
366    fi
367    ac_package=`echo $ac_package| sed 's/-/_/g'`
368    eval "with_${ac_package}=no" ;;
369
370  --x)
371    # Obsolete; use --with-x.
372    with_x=yes ;;
373
374  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
375  | --x-incl | --x-inc | --x-in | --x-i)
376    ac_prev=x_includes ;;
377  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
378  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
379    x_includes="$ac_optarg" ;;
380
381  -x-libraries | --x-libraries | --x-librarie | --x-librari \
382  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
383    ac_prev=x_libraries ;;
384  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
385  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
386    x_libraries="$ac_optarg" ;;
387
388  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
389    ;;
390
391  *)
392    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
393      echo "configure: warning: $ac_option: invalid host type" 1>&2
394    fi
395    if test "x$nonopt" != xNONE; then
396      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
397    fi
398    nonopt="$ac_option"
399    ;;
400
401  esac
402done
403
404if test -n "$ac_prev"; then
405  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
406fi
407
408trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
409
410# File descriptor usage:
411# 0 standard input
412# 1 file creation
413# 2 errors and warnings
414# 3 some systems may open it to /dev/tty
415# 4 used on the Kubota Titan
416# 6 checking for... messages and results
417# 5 compiler messages saved in config.log
418if test "$silent" = yes; then
419  exec 6>/dev/null
420else
421  exec 6>&1
422fi
423exec 5>./config.log
424
425echo "\
426This file contains any messages produced by compilers while
427running configure, to aid debugging if configure makes a mistake.
428" 1>&5
429
430# Strip out --no-create and --no-recursion so they do not pile up.
431# Also quote any args containing shell metacharacters.
432ac_configure_args=
433for ac_arg
434do
435  case "$ac_arg" in
436  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
437  | --no-cr | --no-c) ;;
438  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
439  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
440  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
441  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
442  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
443  esac
444done
445
446# NLS nuisances.
447# Only set these to C if already set.  These must not be set unconditionally
448# because not all systems understand e.g. LANG=C (notably SCO).
449# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
450# Non-C LC_CTYPE values break the ctype check.
451if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
452if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
453if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
454if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
455
456# confdefs.h avoids OS command line length limits that DEFS can exceed.
457rm -rf conftest* confdefs.h
458# AIX cpp loses on an empty file, so make sure it contains at least a newline.
459echo > confdefs.h
460
461# A filename unique to this package, relative to the directory that
462# configure is in, which we can look for to find out if srcdir is correct.
463ac_unique_file=omAlloc.c
464
465# Find the source files, if location was not specified.
466if test -z "$srcdir"; then
467  ac_srcdir_defaulted=yes
468  # Try the directory containing this script, then its parent.
469  ac_prog=$0
470  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
471  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
472  srcdir=$ac_confdir
473  if test ! -r $srcdir/$ac_unique_file; then
474    srcdir=..
475  fi
476else
477  ac_srcdir_defaulted=no
478fi
479if test ! -r $srcdir/$ac_unique_file; then
480  if test "$ac_srcdir_defaulted" = yes; then
481    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
482  else
483    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
484  fi
485fi
486srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
487
488# Prefer explicitly selected file to automatically selected ones.
489if test -z "$CONFIG_SITE"; then
490  if test "x$prefix" != xNONE; then
491    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
492  else
493    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
494  fi
495fi
496for ac_site_file in $CONFIG_SITE; do
497  if test -r "$ac_site_file"; then
498    echo "loading site script $ac_site_file"
499    . "$ac_site_file"
500  fi
501done
502
503if test -r "$cache_file"; then
504  echo "loading cache $cache_file"
505  . $cache_file
506else
507  echo "creating cache $cache_file"
508  > $cache_file
509fi
510
511ac_ext=c
512# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
513ac_cpp='$CPP $CPPFLAGS'
514ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
515ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
516cross_compiling=$ac_cv_prog_cc_cross
517
518ac_exeext=
519ac_objext=o
520if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
521  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
522  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
523    ac_n= ac_c='
524' ac_t='        '
525  else
526    ac_n=-n ac_c= ac_t=
527  fi
528else
529  ac_n= ac_c='\c' ac_t=
530fi
531
532
533
534
535# Check whether --with-mtrack or --without-mtrack was given.
536if test "${with_mtrack+set}" = set; then
537  withval="$with_mtrack"
538  :
539fi
540
541# Check whether --with-align8 or --without-align8 was given.
542if test "${with_align8+set}" = set; then
543  withval="$with_align8"
544  :
545fi
546
547# Check whether --with-align8 or --without-align8 was given.
548if test "${with_align8+set}" = set; then
549  withval="$with_align8"
550  :
551fi
552
553# Check whether --with-mtrack or --without-mtrack was given.
554if test "${with_mtrack+set}" = set; then
555  withval="$with_mtrack"
556  :
557fi
558
559                             
560
561echo $ac_n "checking singuname""... $ac_c" 1>&6
562echo "configure:563: checking singuname" >&5
563if eval "test \"`echo '$''{'ac_cv_singuname'+set}'`\" = set"; then
564  echo $ac_n "(cached) $ac_c" 1>&6
565else
566  ac_cv_singuname="unknown"
567if test -r "singuname.sh"; then
568  if (/bin/sh singuname.sh >/dev/null 2>&1) then
569    ac_cv_singuname=`/bin/sh singuname.sh`
570  fi
571fi
572if test "$ac_cv_singuname" = unknown && test -r "../singuname.sh"; then
573  if (/bin/sh ../singuname.sh >/dev/null 2>&1) then
574    ac_cv_singuname=`/bin/sh ../singuname.sh`
575  fi
576fi
577
578fi
579
580echo "$ac_t""$ac_cv_singuname" 1>&6
581if test "$ac_cv_singuname" = unknown; then
582  echo "configure: warning: Unknown architecture: Check singuname.sh" 1>&2
583  ac_cv_singuname="unknown"
584fi
585
586
587if test "${CFLAGS+set}" != set; then
588  CFLAGS="-O"
589  ac_cflags_set=no
590fi
591
592echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
593echo "configure:594: checking whether ${MAKE-make} sets \${MAKE}" >&5
594set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
595if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
596  echo $ac_n "(cached) $ac_c" 1>&6
597else
598  cat > conftestmake <<\EOF
599all:
600        @echo 'ac_maketemp="${MAKE}"'
601EOF
602# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
603eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
604if test -n "$ac_maketemp"; then
605  eval ac_cv_prog_make_${ac_make}_set=yes
606else
607  eval ac_cv_prog_make_${ac_make}_set=no
608fi
609rm -f conftestmake
610fi
611if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
612  echo "$ac_t""yes" 1>&6
613  SET_MAKE=
614else
615  echo "$ac_t""no" 1>&6
616  SET_MAKE="MAKE=${MAKE-make}"
617fi
618
619# Extract the first word of "gcc", so it can be a program name with args.
620set dummy gcc; ac_word=$2
621echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
622echo "configure:623: checking for $ac_word" >&5
623if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
624  echo $ac_n "(cached) $ac_c" 1>&6
625else
626  if test -n "$CC"; then
627  ac_cv_prog_CC="$CC" # Let the user override the test.
628else
629  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
630  ac_dummy="$PATH"
631  for ac_dir in $ac_dummy; do
632    test -z "$ac_dir" && ac_dir=.
633    if test -f $ac_dir/$ac_word; then
634      ac_cv_prog_CC="gcc"
635      break
636    fi
637  done
638  IFS="$ac_save_ifs"
639fi
640fi
641CC="$ac_cv_prog_CC"
642if test -n "$CC"; then
643  echo "$ac_t""$CC" 1>&6
644else
645  echo "$ac_t""no" 1>&6
646fi
647
648if test -z "$CC"; then
649  # Extract the first word of "cc", so it can be a program name with args.
650set dummy cc; ac_word=$2
651echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
652echo "configure:653: checking for $ac_word" >&5
653if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
654  echo $ac_n "(cached) $ac_c" 1>&6
655else
656  if test -n "$CC"; then
657  ac_cv_prog_CC="$CC" # Let the user override the test.
658else
659  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
660  ac_prog_rejected=no
661  ac_dummy="$PATH"
662  for ac_dir in $ac_dummy; do
663    test -z "$ac_dir" && ac_dir=.
664    if test -f $ac_dir/$ac_word; then
665      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
666        ac_prog_rejected=yes
667        continue
668      fi
669      ac_cv_prog_CC="cc"
670      break
671    fi
672  done
673  IFS="$ac_save_ifs"
674if test $ac_prog_rejected = yes; then
675  # We found a bogon in the path, so make sure we never use it.
676  set dummy $ac_cv_prog_CC
677  shift
678  if test $# -gt 0; then
679    # We chose a different compiler from the bogus one.
680    # However, it has the same basename, so the bogon will be chosen
681    # first if we set CC to just the basename; use the full file name.
682    shift
683    set dummy "$ac_dir/$ac_word" "$@"
684    shift
685    ac_cv_prog_CC="$@"
686  fi
687fi
688fi
689fi
690CC="$ac_cv_prog_CC"
691if test -n "$CC"; then
692  echo "$ac_t""$CC" 1>&6
693else
694  echo "$ac_t""no" 1>&6
695fi
696
697  if test -z "$CC"; then
698    case "`uname -s`" in
699    *win32* | *WIN32*)
700      # Extract the first word of "cl", so it can be a program name with args.
701set dummy cl; ac_word=$2
702echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
703echo "configure:704: checking for $ac_word" >&5
704if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
705  echo $ac_n "(cached) $ac_c" 1>&6
706else
707  if test -n "$CC"; then
708  ac_cv_prog_CC="$CC" # Let the user override the test.
709else
710  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
711  ac_dummy="$PATH"
712  for ac_dir in $ac_dummy; do
713    test -z "$ac_dir" && ac_dir=.
714    if test -f $ac_dir/$ac_word; then
715      ac_cv_prog_CC="cl"
716      break
717    fi
718  done
719  IFS="$ac_save_ifs"
720fi
721fi
722CC="$ac_cv_prog_CC"
723if test -n "$CC"; then
724  echo "$ac_t""$CC" 1>&6
725else
726  echo "$ac_t""no" 1>&6
727fi
728 ;;
729    esac
730  fi
731  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
732fi
733
734echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
735echo "configure:736: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
736
737ac_ext=c
738# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
739ac_cpp='$CPP $CPPFLAGS'
740ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
741ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
742cross_compiling=$ac_cv_prog_cc_cross
743
744cat > conftest.$ac_ext << EOF
745
746#line 747 "configure"
747#include "confdefs.h"
748
749main(){return(0);}
750EOF
751if { (eval echo configure:752: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
752  ac_cv_prog_cc_works=yes
753  # If we can't run a trivial program, we are probably using a cross compiler.
754  if (./conftest; exit) 2>/dev/null; then
755    ac_cv_prog_cc_cross=no
756  else
757    ac_cv_prog_cc_cross=yes
758  fi
759else
760  echo "configure: failed program was:" >&5
761  cat conftest.$ac_ext >&5
762  ac_cv_prog_cc_works=no
763fi
764rm -fr conftest*
765ac_ext=c
766# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
767ac_cpp='$CPP $CPPFLAGS'
768ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
769ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
770cross_compiling=$ac_cv_prog_cc_cross
771
772echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
773if test $ac_cv_prog_cc_works = no; then
774  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
775fi
776echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
777echo "configure:778: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
778echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
779cross_compiling=$ac_cv_prog_cc_cross
780
781echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
782echo "configure:783: checking whether we are using GNU C" >&5
783if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
784  echo $ac_n "(cached) $ac_c" 1>&6
785else
786  cat > conftest.c <<EOF
787#ifdef __GNUC__
788  yes;
789#endif
790EOF
791if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:792: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
792  ac_cv_prog_gcc=yes
793else
794  ac_cv_prog_gcc=no
795fi
796fi
797
798echo "$ac_t""$ac_cv_prog_gcc" 1>&6
799
800if test $ac_cv_prog_gcc = yes; then
801  GCC=yes
802else
803  GCC=
804fi
805
806ac_test_CFLAGS="${CFLAGS+set}"
807ac_save_CFLAGS="$CFLAGS"
808CFLAGS=
809echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
810echo "configure:811: checking whether ${CC-cc} accepts -g" >&5
811if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
812  echo $ac_n "(cached) $ac_c" 1>&6
813else
814  echo 'void f(){}' > conftest.c
815if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
816  ac_cv_prog_cc_g=yes
817else
818  ac_cv_prog_cc_g=no
819fi
820rm -f conftest*
821
822fi
823
824echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
825if test "$ac_test_CFLAGS" = set; then
826  CFLAGS="$ac_save_CFLAGS"
827elif test $ac_cv_prog_cc_g = yes; then
828  if test "$GCC" = yes; then
829    CFLAGS="-g -O2"
830  else
831    CFLAGS="-g"
832  fi
833else
834  if test "$GCC" = yes; then
835    CFLAGS="-O2"
836  else
837    CFLAGS=
838  fi
839fi
840
841echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
842echo "configure:843: checking how to run the C preprocessor" >&5
843# On Suns, sometimes $CPP names a directory.
844if test -n "$CPP" && test -d "$CPP"; then
845  CPP=
846fi
847if test -z "$CPP"; then
848if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
849  echo $ac_n "(cached) $ac_c" 1>&6
850else
851    # This must be in double quotes, not single quotes, because CPP may get
852  # substituted into the Makefile and "${CC-cc}" will confuse make.
853  CPP="${CC-cc} -E"
854  # On the NeXT, cc -E runs the code through the compiler's parser,
855  # not just through cpp.
856  cat > conftest.$ac_ext <<EOF
857#line 858 "configure"
858#include "confdefs.h"
859#include <assert.h>
860Syntax Error
861EOF
862ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
863{ (eval echo configure:864: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
864ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
865if test -z "$ac_err"; then
866  :
867else
868  echo "$ac_err" >&5
869  echo "configure: failed program was:" >&5
870  cat conftest.$ac_ext >&5
871  rm -rf conftest*
872  CPP="${CC-cc} -E -traditional-cpp"
873  cat > conftest.$ac_ext <<EOF
874#line 875 "configure"
875#include "confdefs.h"
876#include <assert.h>
877Syntax Error
878EOF
879ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
880{ (eval echo configure:881: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
881ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
882if test -z "$ac_err"; then
883  :
884else
885  echo "$ac_err" >&5
886  echo "configure: failed program was:" >&5
887  cat conftest.$ac_ext >&5
888  rm -rf conftest*
889  CPP="${CC-cc} -nologo -E"
890  cat > conftest.$ac_ext <<EOF
891#line 892 "configure"
892#include "confdefs.h"
893#include <assert.h>
894Syntax Error
895EOF
896ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
897{ (eval echo configure:898: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
898ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
899if test -z "$ac_err"; then
900  :
901else
902  echo "$ac_err" >&5
903  echo "configure: failed program was:" >&5
904  cat conftest.$ac_ext >&5
905  rm -rf conftest*
906  CPP=/lib/cpp
907fi
908rm -f conftest*
909fi
910rm -f conftest*
911fi
912rm -f conftest*
913  ac_cv_prog_CPP="$CPP"
914fi
915  CPP="$ac_cv_prog_CPP"
916else
917  ac_cv_prog_CPP="$CPP"
918fi
919echo "$ac_t""$CPP" 1>&6
920
921echo $ac_n "checking for working const""... $ac_c" 1>&6
922echo "configure:923: checking for working const" >&5
923if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
924  echo $ac_n "(cached) $ac_c" 1>&6
925else
926  cat > conftest.$ac_ext <<EOF
927#line 928 "configure"
928#include "confdefs.h"
929
930int main() {
931
932/* Ultrix mips cc rejects this.  */
933typedef int charset[2]; const charset x;
934/* SunOS 4.1.1 cc rejects this.  */
935char const *const *ccp;
936char **p;
937/* NEC SVR4.0.2 mips cc rejects this.  */
938struct point {int x, y;};
939static struct point const zero = {0,0};
940/* AIX XL C 1.02.0.0 rejects this.
941   It does not let you subtract one const X* pointer from another in an arm
942   of an if-expression whose if-part is not a constant expression */
943const char *g = "string";
944ccp = &g + (g ? g-g : 0);
945/* HPUX 7.0 cc rejects these. */
946++ccp;
947p = (char**) ccp;
948ccp = (char const *const *) p;
949{ /* SCO 3.2v4 cc rejects this.  */
950  char *t;
951  char const *s = 0 ? (char *) 0 : (char const *) 0;
952
953  *t++ = 0;
954}
955{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
956  int x[] = {25, 17};
957  const int *foo = &x[0];
958  ++foo;
959}
960{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
961  typedef const int *iptr;
962  iptr p = 0;
963  ++p;
964}
965{ /* AIX XL C 1.02.0.0 rejects this saying
966     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
967  struct s { int j; const int *ap[3]; };
968  struct s *b; b->j = 5;
969}
970{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
971  const int foo = 10;
972}
973
974; return 0; }
975EOF
976if { (eval echo configure:977: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
977  rm -rf conftest*
978  ac_cv_c_const=yes
979else
980  echo "configure: failed program was:" >&5
981  cat conftest.$ac_ext >&5
982  rm -rf conftest*
983  ac_cv_c_const=no
984fi
985rm -f conftest*
986fi
987
988echo "$ac_t""$ac_cv_c_const" 1>&6
989if test $ac_cv_c_const = no; then
990  cat >> confdefs.h <<\EOF
991#define const
992EOF
993
994fi
995
996echo $ac_n "checking for inline""... $ac_c" 1>&6
997echo "configure:998: checking for inline" >&5
998if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
999  echo $ac_n "(cached) $ac_c" 1>&6
1000else
1001  ac_cv_c_inline=no
1002for ac_kw in inline __inline__ __inline; do
1003  cat > conftest.$ac_ext <<EOF
1004#line 1005 "configure"
1005#include "confdefs.h"
1006
1007int main() {
1008} $ac_kw foo() {
1009; return 0; }
1010EOF
1011if { (eval echo configure:1012: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1012  rm -rf conftest*
1013  ac_cv_c_inline=$ac_kw; break
1014else
1015  echo "configure: failed program was:" >&5
1016  cat conftest.$ac_ext >&5
1017fi
1018rm -f conftest*
1019done
1020
1021fi
1022
1023echo "$ac_t""$ac_cv_c_inline" 1>&6
1024case "$ac_cv_c_inline" in
1025  inline | yes) ;;
1026  no) cat >> confdefs.h <<\EOF
1027#define inline
1028EOF
1029 ;;
1030  *)  cat >> confdefs.h <<EOF
1031#define inline $ac_cv_c_inline
1032EOF
1033 ;;
1034esac
1035
1036if test "$ac_cv_c_inline" != no; then
1037  cat >> confdefs.h <<EOF
1038#define OM_INLINE static $ac_cv_c_inline
1039EOF
1040
1041fi
1042# Extract the first word of "ranlib", so it can be a program name with args.
1043set dummy ranlib; ac_word=$2
1044echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1045echo "configure:1046: checking for $ac_word" >&5
1046if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
1047  echo $ac_n "(cached) $ac_c" 1>&6
1048else
1049  if test -n "$RANLIB"; then
1050  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
1051else
1052  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1053  ac_dummy="$PATH"
1054  for ac_dir in $ac_dummy; do
1055    test -z "$ac_dir" && ac_dir=.
1056    if test -f $ac_dir/$ac_word; then
1057      ac_cv_prog_RANLIB="ranlib"
1058      break
1059    fi
1060  done
1061  IFS="$ac_save_ifs"
1062  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
1063fi
1064fi
1065RANLIB="$ac_cv_prog_RANLIB"
1066if test -n "$RANLIB"; then
1067  echo "$ac_t""$RANLIB" 1>&6
1068else
1069  echo "$ac_t""no" 1>&6
1070fi
1071
1072# Extract the first word of "ar", so it can be a program name with args.
1073set dummy ar; ac_word=$2
1074echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1075echo "configure:1076: checking for $ac_word" >&5
1076if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
1077  echo $ac_n "(cached) $ac_c" 1>&6
1078else
1079  if test -n "$AR"; then
1080  ac_cv_prog_AR="$AR" # Let the user override the test.
1081else
1082  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1083  ac_dummy="$PATH"
1084  for ac_dir in $ac_dummy; do
1085    test -z "$ac_dir" && ac_dir=.
1086    if test -f $ac_dir/$ac_word; then
1087      ac_cv_prog_AR="ar"
1088      break
1089    fi
1090  done
1091  IFS="$ac_save_ifs"
1092  test -z "$ac_cv_prog_AR" && ac_cv_prog_AR=":"
1093fi
1094fi
1095AR="$ac_cv_prog_AR"
1096if test -n "$AR"; then
1097  echo "$ac_t""$AR" 1>&6
1098else
1099  echo "$ac_t""no" 1>&6
1100fi
1101
1102if test "$ac_cv_prog_AR" != ar; then
1103  { echo "configure: error: *** ar program not found" 1>&2; exit 1; }
1104fi
1105# Extract the first word of "perl", so it can be a program name with args.
1106set dummy perl; ac_word=$2
1107echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1108echo "configure:1109: checking for $ac_word" >&5
1109if eval "test \"`echo '$''{'ac_cv_prog_PERL'+set}'`\" = set"; then
1110  echo $ac_n "(cached) $ac_c" 1>&6
1111else
1112  if test -n "$PERL"; then
1113  ac_cv_prog_PERL="$PERL" # Let the user override the test.
1114else
1115  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1116  ac_dummy="$PATH"
1117  for ac_dir in $ac_dummy; do
1118    test -z "$ac_dir" && ac_dir=.
1119    if test -f $ac_dir/$ac_word; then
1120      ac_cv_prog_PERL="perl"
1121      break
1122    fi
1123  done
1124  IFS="$ac_save_ifs"
1125  test -z "$ac_cv_prog_PERL" && ac_cv_prog_PERL=":"
1126fi
1127fi
1128PERL="$ac_cv_prog_PERL"
1129if test -n "$PERL"; then
1130  echo "$ac_t""$PERL" 1>&6
1131else
1132  echo "$ac_t""no" 1>&6
1133fi
1134
1135if test "$ac_cv_prog_PERL" != perl; then
1136  { echo "configure: error: *** perl program not found" 1>&2; exit 1; }
1137fi
1138
1139# Extract the first word of "addr2line", so it can be a program name with args.
1140set dummy addr2line; ac_word=$2
1141echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1142echo "configure:1143: checking for $ac_word" >&5
1143if eval "test \"`echo '$''{'ac_cv_prog_ADDR2LINE'+set}'`\" = set"; then
1144  echo $ac_n "(cached) $ac_c" 1>&6
1145else
1146  if test -n "$ADDR2LINE"; then
1147  ac_cv_prog_ADDR2LINE="$ADDR2LINE" # Let the user override the test.
1148else
1149  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1150  ac_dummy="$PATH"
1151  for ac_dir in $ac_dummy; do
1152    test -z "$ac_dir" && ac_dir=.
1153    if test -f $ac_dir/$ac_word; then
1154      ac_cv_prog_ADDR2LINE="addr2line"
1155      break
1156    fi
1157  done
1158  IFS="$ac_save_ifs"
1159  test -z "$ac_cv_prog_ADDR2LINE" && ac_cv_prog_ADDR2LINE="no"
1160fi
1161fi
1162ADDR2LINE="$ac_cv_prog_ADDR2LINE"
1163if test -n "$ADDR2LINE"; then
1164  echo "$ac_t""$ADDR2LINE" 1>&6
1165else
1166  echo "$ac_t""no" 1>&6
1167fi
1168
1169if test "$ac_cv_prog_ADDR2LINE" = addr2line; then
1170  cat >> confdefs.h <<EOF
1171#define OM_PROG_ADDR2LINE "$ac_cv_prog_ADDR2LINE"
1172EOF
1173
1174fi
1175# Extract the first word of "nm", so it can be a program name with args.
1176set dummy nm; ac_word=$2
1177echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1178echo "configure:1179: checking for $ac_word" >&5
1179if eval "test \"`echo '$''{'ac_cv_prog_NM'+set}'`\" = set"; then
1180  echo $ac_n "(cached) $ac_c" 1>&6
1181else
1182  if test -n "$NM"; then
1183  ac_cv_prog_NM="$NM" # Let the user override the test.
1184else
1185  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1186  ac_dummy="$PATH"
1187  for ac_dir in $ac_dummy; do
1188    test -z "$ac_dir" && ac_dir=.
1189    if test -f $ac_dir/$ac_word; then
1190      ac_cv_prog_NM="nm"
1191      break
1192    fi
1193  done
1194  IFS="$ac_save_ifs"
1195  test -z "$ac_cv_prog_NM" && ac_cv_prog_NM="no"
1196fi
1197fi
1198NM="$ac_cv_prog_NM"
1199if test -n "$NM"; then
1200  echo "$ac_t""$NM" 1>&6
1201else
1202  echo "$ac_t""no" 1>&6
1203fi
1204
1205if test "$ac_cv_prog_NM" = nm; then
1206  cat >> confdefs.h <<EOF
1207#define OM_PROG_NM "$ac_cv_prog_NM"
1208EOF
1209
1210fi
1211
1212# header file checks
1213echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1214echo "configure:1215: checking for ANSI C header files" >&5
1215if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1216  echo $ac_n "(cached) $ac_c" 1>&6
1217else
1218  cat > conftest.$ac_ext <<EOF
1219#line 1220 "configure"
1220#include "confdefs.h"
1221#include <stdlib.h>
1222#include <stdarg.h>
1223#include <string.h>
1224#include <float.h>
1225EOF
1226ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1227{ (eval echo configure:1228: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1228ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1229if test -z "$ac_err"; then
1230  rm -rf conftest*
1231  ac_cv_header_stdc=yes
1232else
1233  echo "$ac_err" >&5
1234  echo "configure: failed program was:" >&5
1235  cat conftest.$ac_ext >&5
1236  rm -rf conftest*
1237  ac_cv_header_stdc=no
1238fi
1239rm -f conftest*
1240
1241if test $ac_cv_header_stdc = yes; then
1242  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1243cat > conftest.$ac_ext <<EOF
1244#line 1245 "configure"
1245#include "confdefs.h"
1246#include <string.h>
1247EOF
1248if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1249  egrep "memchr" >/dev/null 2>&1; then
1250  :
1251else
1252  rm -rf conftest*
1253  ac_cv_header_stdc=no
1254fi
1255rm -f conftest*
1256
1257fi
1258
1259if test $ac_cv_header_stdc = yes; then
1260  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1261cat > conftest.$ac_ext <<EOF
1262#line 1263 "configure"
1263#include "confdefs.h"
1264#include <stdlib.h>
1265EOF
1266if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1267  egrep "free" >/dev/null 2>&1; then
1268  :
1269else
1270  rm -rf conftest*
1271  ac_cv_header_stdc=no
1272fi
1273rm -f conftest*
1274
1275fi
1276
1277if test $ac_cv_header_stdc = yes; then
1278  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1279if test "$cross_compiling" = yes; then
1280  :
1281else
1282  cat > conftest.$ac_ext <<EOF
1283#line 1284 "configure"
1284#include "confdefs.h"
1285#include <ctype.h>
1286#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1287#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1288#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1289int main () { int i; for (i = 0; i < 256; i++)
1290if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1291exit (0); }
1292
1293EOF
1294if { (eval echo configure:1295: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1295then
1296  :
1297else
1298  echo "configure: failed program was:" >&5
1299  cat conftest.$ac_ext >&5
1300  rm -fr conftest*
1301  ac_cv_header_stdc=no
1302fi
1303rm -fr conftest*
1304fi
1305
1306fi
1307fi
1308
1309echo "$ac_t""$ac_cv_header_stdc" 1>&6
1310if test $ac_cv_header_stdc = yes; then
1311  cat >> confdefs.h <<\EOF
1312#define STDC_HEADERS 1
1313EOF
1314
1315fi
1316
1317for ac_hdr in limits.h
1318do
1319ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1320echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1321echo "configure:1322: checking for $ac_hdr" >&5
1322if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1323  echo $ac_n "(cached) $ac_c" 1>&6
1324else
1325  cat > conftest.$ac_ext <<EOF
1326#line 1327 "configure"
1327#include "confdefs.h"
1328#include <$ac_hdr>
1329EOF
1330ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1331{ (eval echo configure:1332: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1332ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1333if test -z "$ac_err"; then
1334  rm -rf conftest*
1335  eval "ac_cv_header_$ac_safe=yes"
1336else
1337  echo "$ac_err" >&5
1338  echo "configure: failed program was:" >&5
1339  cat conftest.$ac_ext >&5
1340  rm -rf conftest*
1341  eval "ac_cv_header_$ac_safe=no"
1342fi
1343rm -f conftest*
1344fi
1345if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1346  echo "$ac_t""yes" 1>&6
1347    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1348  cat >> confdefs.h <<EOF
1349#define $ac_tr_hdr 1
1350EOF
1351 
1352else
1353  echo "$ac_t""no" 1>&6
1354{ echo "configure: error: Can not compile without limits.h" 1>&2; exit 1; }
1355fi
1356done
1357
1358for ac_hdr in unistd.h
1359do
1360ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1361echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1362echo "configure:1363: checking for $ac_hdr" >&5
1363if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1364  echo $ac_n "(cached) $ac_c" 1>&6
1365else
1366  cat > conftest.$ac_ext <<EOF
1367#line 1368 "configure"
1368#include "confdefs.h"
1369#include <$ac_hdr>
1370EOF
1371ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1372{ (eval echo configure:1373: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1373ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1374if test -z "$ac_err"; then
1375  rm -rf conftest*
1376  eval "ac_cv_header_$ac_safe=yes"
1377else
1378  echo "$ac_err" >&5
1379  echo "configure: failed program was:" >&5
1380  cat conftest.$ac_ext >&5
1381  rm -rf conftest*
1382  eval "ac_cv_header_$ac_safe=no"
1383fi
1384rm -f conftest*
1385fi
1386if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1387  echo "$ac_t""yes" 1>&6
1388    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1389  cat >> confdefs.h <<EOF
1390#define $ac_tr_hdr 1
1391EOF
1392 
1393else
1394  echo "$ac_t""no" 1>&6
1395fi
1396done
1397
1398
1399for ac_func in popen readlink getcwd getwd
1400do
1401echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1402echo "configure:1403: checking for $ac_func" >&5
1403if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1404  echo $ac_n "(cached) $ac_c" 1>&6
1405else
1406  cat > conftest.$ac_ext <<EOF
1407#line 1408 "configure"
1408#include "confdefs.h"
1409/* System header to define __stub macros and hopefully few prototypes,
1410    which can conflict with char $ac_func(); below.  */
1411#include <assert.h>
1412/* Override any gcc2 internal prototype to avoid an error.  */
1413/* We use char because int might match the return type of a gcc2
1414    builtin and then its argument prototype would still apply.  */
1415char $ac_func();
1416
1417int main() {
1418
1419/* The GNU C library defines this for functions which it implements
1420    to always fail with ENOSYS.  Some functions are actually named
1421    something starting with __ and the normal name is an alias.  */
1422#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1423choke me
1424#else
1425$ac_func();
1426#endif
1427
1428; return 0; }
1429EOF
1430if { (eval echo configure:1431: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1431  rm -rf conftest*
1432  eval "ac_cv_func_$ac_func=yes"
1433else
1434  echo "configure: failed program was:" >&5
1435  cat conftest.$ac_ext >&5
1436  rm -rf conftest*
1437  eval "ac_cv_func_$ac_func=no"
1438fi
1439rm -f conftest*
1440fi
1441
1442if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1443  echo "$ac_t""yes" 1>&6
1444    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1445  cat >> confdefs.h <<EOF
1446#define $ac_tr_func 1
1447EOF
1448 
1449else
1450  echo "$ac_t""no" 1>&6
1451fi
1452done
1453
1454
1455
1456if test "$enable_mtrack" != no; then
1457# functions which crawl up the stack from return and frame addr
1458if test "${GCC}" = yes; then
1459  ac_cv_func_return_addr="__builtin_return_address"
1460  cat >> confdefs.h <<EOF
1461#define OM_RETURN_ADDR __builtin_return_address
1462EOF
1463
1464  ac_cv_func_frame_addr="__builtin_frame_address"
1465  cat >> confdefs.h <<EOF
1466#define OM_FRAME_ADDR __builtin_frame_address
1467EOF
1468
1469fi
1470
1471# test them
1472if test "${ac_cv_func_return_addr+set}" = set; then
1473# first, check whether return addr
1474echo $ac_n "checking whether $ac_cv_func_return_addr works""... $ac_c" 1>&6
1475echo "configure:1476: checking whether $ac_cv_func_return_addr works" >&5
1476if eval "test \"`echo '$''{'ac_cv_func_return_addr_works'+set}'`\" = set"; then
1477  echo $ac_n "(cached) $ac_c" 1>&6
1478else
1479  if test "$cross_compiling" = yes; then
1480  ac_cv_func_return_addr_works=no
1481else
1482  cat > conftest.$ac_ext <<EOF
1483#line 1484 "configure"
1484#include "confdefs.h"
1485
1486int test_return_addr()
1487{
1488   if (OM_RETURN_ADDR(1)  != 0 && OM_RETURN_ADDR(0) != 0) return 0;
1489   return 1;
1490}
1491
1492int main()
1493{
1494   return test_return_addr();
1495}
1496
1497EOF
1498if { (eval echo configure:1499: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1499then
1500  ac_cv_func_return_addr_works=yes
1501else
1502  echo "configure: failed program was:" >&5
1503  cat conftest.$ac_ext >&5
1504  rm -fr conftest*
1505  ac_cv_func_return_addr_works=no
1506fi
1507rm -fr conftest*
1508fi
1509
1510fi
1511
1512echo "$ac_t""$ac_cv_func_return_addr_works" 1>&6
1513
1514if test "$ac_cv_func_return_addr_works" = yes; then
1515cat >> confdefs.h <<EOF
1516#define OM_RETURN_ADDR_WORKS 1
1517EOF
1518
1519if test "${ac_cv_func_frame_addr+set}" = set; then
1520# first, check whether return addr
1521echo $ac_n "checking whether $ac_cv_func_frame_addr works""... $ac_c" 1>&6
1522echo "configure:1523: checking whether $ac_cv_func_frame_addr works" >&5
1523if eval "test \"`echo '$''{'ac_cv_func_frame_addr_works'+set}'`\" = set"; then
1524  echo $ac_n "(cached) $ac_c" 1>&6
1525else
1526  if test "$cross_compiling" = yes; then
1527  ac_cv_func_frame_addr_works=no
1528else
1529  cat > conftest.$ac_ext <<EOF
1530#line 1531 "configure"
1531#include "confdefs.h"
1532
1533int test_frame_addr()
1534{
1535   if (OM_FRAME_ADDR(1)  != 0 && OM_FRAME_ADDR(0) != 0) return 0;
1536   return 1;
1537}
1538
1539int main()
1540{
1541   return test_frame_addr();
1542}
1543
1544EOF
1545if { (eval echo configure:1546: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1546then
1547  ac_cv_func_frame_addr_works=yes
1548else
1549  echo "configure: failed program was:" >&5
1550  cat conftest.$ac_ext >&5
1551  rm -fr conftest*
1552  ac_cv_func_frame_addr_works=no
1553fi
1554rm -fr conftest*
1555fi
1556
1557fi
1558
1559echo "$ac_t""$ac_cv_func_frame_addr_works" 1>&6
1560
1561if test "$ac_cv_func_frame_addr_works" = yes; then
1562cat >> confdefs.h <<EOF
1563#define OM_FRAME_ADDR_WORKS 1
1564EOF
1565
1566fi
1567fi  # "${ac_cv_func_frame_addr+set}" = set
1568fi  # "$ac_cv_func_return_addr_works" = yes
1569fi  # "${ac_cv_func_return_addr+set}" = set
1570fi  # "$enable_mtrack" != no;
1571
1572
1573
1574# sizes
1575echo $ac_n "checking size of long""... $ac_c" 1>&6
1576echo "configure:1577: checking size of long" >&5
1577if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
1578  echo $ac_n "(cached) $ac_c" 1>&6
1579else
1580  if test "$cross_compiling" = yes; then
1581  ac_cv_sizeof_long=4
1582else
1583  cat > conftest.$ac_ext <<EOF
1584#line 1585 "configure"
1585#include "confdefs.h"
1586#include <stdio.h>
1587main()
1588{
1589  FILE *f=fopen("conftestval", "w");
1590  if (!f) exit(1);
1591  fprintf(f, "%d\n", sizeof(long));
1592  exit(0);
1593}
1594EOF
1595if { (eval echo configure:1596: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1596then
1597  ac_cv_sizeof_long=`cat conftestval`
1598else
1599  echo "configure: failed program was:" >&5
1600  cat conftest.$ac_ext >&5
1601  rm -fr conftest*
1602  ac_cv_sizeof_long=0
1603fi
1604rm -fr conftest*
1605fi
1606
1607fi
1608echo "$ac_t""$ac_cv_sizeof_long" 1>&6
1609cat >> confdefs.h <<EOF
1610#define SIZEOF_LONG $ac_cv_sizeof_long
1611EOF
1612
1613
1614echo $ac_n "checking size of void*""... $ac_c" 1>&6
1615echo "configure:1616: checking size of void*" >&5
1616if eval "test \"`echo '$''{'ac_cv_sizeof_voidp'+set}'`\" = set"; then
1617  echo $ac_n "(cached) $ac_c" 1>&6
1618else
1619  if test "$cross_compiling" = yes; then
1620  ac_cv_sizeof_voidp=4
1621else
1622  cat > conftest.$ac_ext <<EOF
1623#line 1624 "configure"
1624#include "confdefs.h"
1625#include <stdio.h>
1626main()
1627{
1628  FILE *f=fopen("conftestval", "w");
1629  if (!f) exit(1);
1630  fprintf(f, "%d\n", sizeof(void*));
1631  exit(0);
1632}
1633EOF
1634if { (eval echo configure:1635: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1635then
1636  ac_cv_sizeof_voidp=`cat conftestval`
1637else
1638  echo "configure: failed program was:" >&5
1639  cat conftest.$ac_ext >&5
1640  rm -fr conftest*
1641  ac_cv_sizeof_voidp=0
1642fi
1643rm -fr conftest*
1644fi
1645
1646fi
1647echo "$ac_t""$ac_cv_sizeof_voidp" 1>&6
1648cat >> confdefs.h <<EOF
1649#define SIZEOF_VOIDP $ac_cv_sizeof_voidp
1650EOF
1651
1652
1653echo $ac_n "checking size of double""... $ac_c" 1>&6
1654echo "configure:1655: checking size of double" >&5
1655if eval "test \"`echo '$''{'ac_cv_sizeof_double'+set}'`\" = set"; then
1656  echo $ac_n "(cached) $ac_c" 1>&6
1657else
1658  if test "$cross_compiling" = yes; then
1659  ac_cv_sizeof_double=8
1660else
1661  cat > conftest.$ac_ext <<EOF
1662#line 1663 "configure"
1663#include "confdefs.h"
1664#include <stdio.h>
1665main()
1666{
1667  FILE *f=fopen("conftestval", "w");
1668  if (!f) exit(1);
1669  fprintf(f, "%d\n", sizeof(double));
1670  exit(0);
1671}
1672EOF
1673if { (eval echo configure:1674: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1674then
1675  ac_cv_sizeof_double=`cat conftestval`
1676else
1677  echo "configure: failed program was:" >&5
1678  cat conftest.$ac_ext >&5
1679  rm -fr conftest*
1680  ac_cv_sizeof_double=0
1681fi
1682rm -fr conftest*
1683fi
1684
1685fi
1686echo "$ac_t""$ac_cv_sizeof_double" 1>&6
1687cat >> confdefs.h <<EOF
1688#define SIZEOF_DOUBLE $ac_cv_sizeof_double
1689EOF
1690
1691
1692if test "$ac_cv_sizeof_long" != "$ac_cv_sizeof_voidp"; then
1693  { echo "configure: error: need equal sizes for long and void*" 1>&2; exit 1; }
1694fi
1695if test "$ac_cv_sizeof_voidp" != 4 && "$ac_cv_sizeof_voidp" != 8; then
1696  { echo "configure: error: need void* to be 4 or 8 bytes long" 1>&2; exit 1; }
1697fi
1698
1699echo $ac_n "checking align8""... $ac_c" 1>&6
1700echo "configure:1701: checking align8" >&5
1701if test "$with_align8" = yes || test "$ac_cv_sizeof_long" = 8; then
1702  $ac_cv_align8 = yes
1703else
1704if eval "test \"`echo '$''{'ac_cv_align8'+set}'`\" = set"; then
1705  echo $ac_n "(cached) $ac_c" 1>&6
1706else
1707  if test "$cross_compiling" = yes; then
1708  ac_cv_align8=yes
1709else
1710  cat > conftest.$ac_ext <<EOF
1711#line 1712 "configure"
1712#include "confdefs.h"
1713 
1714int main()
1715{
1716  void* ptr = (void*) malloc(12);
1717  double* d_ptr;
1718  if ((unsigned long) ptr % 8 == 0) ptr = ptr + 4; 
1719  d_ptr = (double*) ptr;
1720  *d_ptr = (double) 1.1;
1721  if (*d_ptr != (double) 1.1) return 1;
1722  else return 0;
1723}
1724
1725EOF
1726if { (eval echo configure:1727: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1727then
1728  ac_cv_align8=no
1729else
1730  echo "configure: failed program was:" >&5
1731  cat conftest.$ac_ext >&5
1732  rm -fr conftest*
1733  ac_cv_align8=yes
1734fi
1735rm -fr conftest*
1736fi
1737
1738fi
1739
1740fi
1741echo "$ac_t""$ac_cv_align8" 1>&6
1742
1743if test $ac_cv_align8 = "yes"; then
1744  cat >> confdefs.h <<\EOF
1745#define OM_ALIGN_8 1
1746EOF
1747
1748fi
1749
1750echo $ac_n "checking size of system page""... $ac_c" 1>&6
1751echo "configure:1752: checking size of system page" >&5
1752if eval "test \"`echo '$''{'ac_cv_pagesize'+set}'`\" = set"; then
1753  echo $ac_n "(cached) $ac_c" 1>&6
1754else
1755  if test "$cross_compiling" = yes; then
1756  ac_cv_pagesize=0
1757else
1758  cat > conftest.$ac_ext <<EOF
1759#line 1760 "configure"
1760#include "confdefs.h"
1761#include <stdio.h>
1762#define HAVE_GMALLOC
1763#include "gmalloc.c"
1764
1765main()
1766{
1767  FILE *f=fopen("conftestval", "w");
1768  if (!f) exit(1);
1769  fprintf(f, "%d\n", getpagesize());
1770  exit(0);
1771}
1772EOF
1773if { (eval echo configure:1774: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1774then
1775  ac_cv_pagesize=`cat conftestval`
1776else
1777  echo "configure: failed program was:" >&5
1778  cat conftest.$ac_ext >&5
1779  rm -fr conftest*
1780  ac_cv_pagesize=0
1781fi
1782rm -fr conftest*
1783fi
1784
1785fi
1786
1787echo "$ac_t""$ac_cv_pagesize" 1>&6
1788if test "$ac_cv_pagesize" != 0; then
1789  cat >> confdefs.h <<EOF
1790#define SIZEOF_SYSTEM_PAGE $ac_cv_pagesize
1791EOF
1792
1793fi
1794
1795
1796echo $ac_n "checking for page aligned valloc""... $ac_c" 1>&6
1797echo "configure:1798: checking for page aligned valloc" >&5
1798if eval "test \"`echo '$''{'ac_cv_have_page_alignment'+set}'`\" = set"; then
1799  echo $ac_n "(cached) $ac_c" 1>&6
1800else
1801  cat > pagetest.c << EOF
1802#include <stdio.h>
1803#ifndef ADJUSTMENT
1804#define ADJUSTMENT 0
1805#endif
1806#define REPEAT 1000
1807main()
1808{
1809  long i;
1810  unsigned long p1 = (unsigned long) valloc(SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1811  unsigned long p2;
1812  unsigned long diffs = 0;
1813
1814  if ((p1 == 0) || (p1 & (SIZEOF_SYSTEM_PAGE - 1))) exit(1);
1815
1816  for (i = 0; i<REPEAT; i++)
1817  {
1818    p2 = (unsigned long) valloc(SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1819    if ((p2 == 0) || (p2 & (SIZEOF_SYSTEM_PAGE - 1))) exit(1);
1820    diffs += (p2 - p1);
1821    p1 = p2;
1822  }
1823
1824  if ( ((double) diffs)/((double)REPEAT) < ((double) SIZEOF_SYSTEM_PAGE)*1.05 )
1825  {
1826    FILE *f=fopen("conftestval", "w");
1827    if (!f) exit(1);
1828    fprintf(f, "%d\n", SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1829    exit(0);
1830  }
1831  exit(1);
1832}
1833EOF
1834
1835ac_cv_have_page_alignment=no
1836if test "$with_gmalloc" != yes && \
1837   test "$ac_cv_func_valloc" = yes && \
1838   test "$ac_cv_pagesize" != 0; then
1839if test "$cross_compiling" = yes; then
1840  ac_cv_have_page_alignment=no
1841else
1842  cat > conftest.$ac_ext <<EOF
1843#line 1844 "configure"
1844#include "confdefs.h"
1845
1846#define ADJUSTMENT 0
1847#include "pagetest.c"
1848
1849EOF
1850if { (eval echo configure:1851: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1851then
1852  ac_cv_have_page_alignment="ac_cv_usable_pagesize="`cat  conftestval`
1853else
1854  echo "configure: failed program was:" >&5
1855  cat conftest.$ac_ext >&5
1856  rm -fr conftest*
1857  ac_cv_have_page_alignment=no
1858fi
1859rm -fr conftest*
1860fi
1861
1862  if test "$ac_cv_have_page_alignment" = no; then
1863if test "$cross_compiling" = yes; then
1864  ac_cv_have_page_alignment=no
1865else
1866  cat > conftest.$ac_ext <<EOF
1867#line 1868 "configure"
1868#include "confdefs.h"
1869
1870#define ADJUSTMENT SIZEOF_VOIDP
1871#include "pagetest.c"
1872
1873EOF
1874if { (eval echo configure:1875: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1875then
1876  ac_cv_have_page_alignment="ac_cv_usable_pagesize="`cat  conftestval`
1877else
1878  echo "configure: failed program was:" >&5
1879  cat conftest.$ac_ext >&5
1880  rm -fr conftest*
1881  ac_cv_have_page_alignment=no
1882fi
1883rm -fr conftest*
1884fi
1885
1886  fi
1887fi
1888
1889if test "$ac_cv_have_page_alignment" = no && test "$ac_cv_pagesize" != 0; then
1890if test "$cross_compiling" = yes; then
1891  ac_cv_have_page_alignment=no
1892else
1893  cat > conftest.$ac_ext <<EOF
1894#line 1895 "configure"
1895#include "confdefs.h"
1896
1897#define ADJUSTMENT 0
1898#define HAVE_GMALLOC
1899#include "gmalloc.c"
1900#include "pagetest.c"
1901
1902EOF
1903if { (eval echo configure:1904: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1904then
1905  ac_cv_have_page_alignment="ac_cv_have_gmalloc=yes; ac_cv_usable_pagesize="`cat  conftestval`
1906else
1907  echo "configure: failed program was:" >&5
1908  cat conftest.$ac_ext >&5
1909  rm -fr conftest*
1910  ac_cv_have_page_alignment=no
1911fi
1912rm -fr conftest*
1913fi
1914
1915  if test "$ac_cv_have_page_alignment" = no; then
1916if test "$cross_compiling" = yes; then
1917  ac_cv_have_page_alignment=no
1918else
1919  cat > conftest.$ac_ext <<EOF
1920#line 1921 "configure"
1921#include "confdefs.h"
1922
1923#define ADJUSTMENT SIZEOF_VOIDP
1924#define HAVE_GMALLOC
1925#include "gmalloc.c"
1926#include "pagetest.c"
1927
1928EOF
1929if { (eval echo configure:1930: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1930then
1931  ac_cv_have_page_alignment="ac_cv_have_gmalloc=yes; ac_cv_usable_pagesize="`cat  conftestval`
1932else
1933  echo "configure: failed program was:" >&5
1934  cat conftest.$ac_ext >&5
1935  rm -fr conftest*
1936  ac_cv_have_page_alignment=no
1937fi
1938rm -fr conftest*
1939fi
1940
1941  fi
1942fi
1943rm -rf conftesteval pagetest.c
1944
1945
1946fi
1947
1948
1949if test "$ac_cv_have_page_alignment" != no && test "$ac_cv_with_gmalloc" != no; then
1950  eval $ac_cv_have_page_alignment
1951  cat >> confdefs.h <<EOF
1952#define OM_VALLOC valloc
1953EOF
1954
1955  cat >> confdefs.h <<EOF
1956#define OM_VFREE free
1957EOF
1958
1959  if test "$ac_cv_have_gmalloc" = yes; then
1960    cat >> confdefs.h <<\EOF
1961#define HAVE_GMALLOC 1
1962EOF
1963
1964    echo "$ac_t""from gmalloc" 1>&6
1965  else
1966    echo "$ac_t""from system" 1>&6
1967  fi
1968  cat >> confdefs.h <<EOF
1969#define SIZEOF_OM_PAGE $ac_cv_usable_pagesize
1970EOF
1971
1972else
1973  echo "$ac_t""no" 1>&6
1974  { echo "configure: error: need valloc" 1>&2; exit 1; }
1975fi
1976
1977
1978echo $ac_n "checking whether to enable statistics""... $ac_c" 1>&6
1979echo "configure:1980: checking whether to enable statistics" >&5
1980if test "$enable_stat" = yes; then
1981  echo "$ac_t""yes" 1>&6
1982  cat >> confdefs.h <<\EOF
1983#define OM_HAVE_STAT 1
1984EOF
1985
1986else
1987  echo "$ac_t""no" 1>&6
1988fi
1989
1990
1991if test "${GCC}" = yes && test "$ac_cflags_set" = no ; then
1992  CFLAGS="-pipe -Wall -O3 -fomit-frame-pointer"
1993fi
1994
1995
1996trap '' 1 2 15
1997cat > confcache <<\EOF
1998# This file is a shell script that caches the results of configure
1999# tests run on this system so they can be shared between configure
2000# scripts and configure runs.  It is not useful on other systems.
2001# If it contains results you don't want to keep, you may remove or edit it.
2002#
2003# By default, configure uses ./config.cache as the cache file,
2004# creating it if it does not exist already.  You can give configure
2005# the --cache-file=FILE option to use a different cache file; that is
2006# what configure does when it calls configure scripts in
2007# subdirectories, so they share the cache.
2008# Giving --cache-file=/dev/null disables caching, for debugging configure.
2009# config.status only pays attention to the cache file if you give it the
2010# --recheck option to rerun configure.
2011#
2012EOF
2013# The following way of writing the cache mishandles newlines in values,
2014# but we know of no workaround that is simple, portable, and efficient.
2015# So, don't put newlines in cache variables' values.
2016# Ultrix sh set writes to stderr and can't be redirected directly,
2017# and sets the high bit in the cache file unless we assign to the vars.
2018(set) 2>&1 |
2019  case `(ac_space=' '; set | grep ac_space) 2>&1` in
2020  *ac_space=\ *)
2021    # `set' does not quote correctly, so add quotes (double-quote substitution
2022    # turns \\\\ into \\, and sed turns \\ into \).
2023    sed -n \
2024      -e "s/'/'\\\\''/g" \
2025      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
2026    ;;
2027  *)
2028    # `set' quotes correctly as required by POSIX, so do not add quotes.
2029    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
2030    ;;
2031  esac >> confcache
2032if cmp -s $cache_file confcache; then
2033  :
2034else
2035  if test -w $cache_file; then
2036    echo "updating cache $cache_file"
2037    cat confcache > $cache_file
2038  else
2039    echo "not updating unwritable cache $cache_file"
2040  fi
2041fi
2042rm -f confcache
2043
2044trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
2045
2046test "x$prefix" = xNONE && prefix=$ac_default_prefix
2047# Let make expand exec_prefix.
2048test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
2049
2050# Any assignment to VPATH causes Sun make to only execute
2051# the first set of double-colon rules, so remove it if not needed.
2052# If there is a colon in the path, we need to keep it.
2053if test "x$srcdir" = x.; then
2054  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
2055fi
2056
2057trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
2058
2059DEFS=-DHAVE_CONFIG_H
2060
2061# Without the "./", some shells look in PATH for config.status.
2062: ${CONFIG_STATUS=./config.status}
2063
2064echo creating $CONFIG_STATUS
2065rm -f $CONFIG_STATUS
2066cat > $CONFIG_STATUS <<EOF
2067#! /bin/sh
2068# Generated automatically by configure.
2069# Run this file to recreate the current configuration.
2070# This directory was configured as follows,
2071# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
2072#
2073# $0 $ac_configure_args
2074#
2075# Compiler output produced by configure, useful for debugging
2076# configure, is in ./config.log if it exists.
2077
2078ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
2079for ac_option
2080do
2081  case "\$ac_option" in
2082  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2083    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
2084    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
2085  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
2086    echo "$CONFIG_STATUS generated by autoconf version 2.13"
2087    exit 0 ;;
2088  -help | --help | --hel | --he | --h)
2089    echo "\$ac_cs_usage"; exit 0 ;;
2090  *) echo "\$ac_cs_usage"; exit 1 ;;
2091  esac
2092done
2093
2094ac_given_srcdir=$srcdir
2095
2096trap 'rm -fr `echo "Makefile omConfig.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
2097EOF
2098cat >> $CONFIG_STATUS <<EOF
2099
2100# Protect against being on the right side of a sed subst in config.status.
2101sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
2102 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
2103$ac_vpsub
2104$extrasub
2105s%@SHELL@%$SHELL%g
2106s%@CFLAGS@%$CFLAGS%g
2107s%@CPPFLAGS@%$CPPFLAGS%g
2108s%@CXXFLAGS@%$CXXFLAGS%g
2109s%@FFLAGS@%$FFLAGS%g
2110s%@DEFS@%$DEFS%g
2111s%@LDFLAGS@%$LDFLAGS%g
2112s%@LIBS@%$LIBS%g
2113s%@exec_prefix@%$exec_prefix%g
2114s%@prefix@%$prefix%g
2115s%@program_transform_name@%$program_transform_name%g
2116s%@bindir@%$bindir%g
2117s%@sbindir@%$sbindir%g
2118s%@libexecdir@%$libexecdir%g
2119s%@datadir@%$datadir%g
2120s%@sysconfdir@%$sysconfdir%g
2121s%@sharedstatedir@%$sharedstatedir%g
2122s%@localstatedir@%$localstatedir%g
2123s%@libdir@%$libdir%g
2124s%@includedir@%$includedir%g
2125s%@oldincludedir@%$oldincludedir%g
2126s%@infodir@%$infodir%g
2127s%@mandir@%$mandir%g
2128s%@SET_MAKE@%$SET_MAKE%g
2129s%@CC@%$CC%g
2130s%@CPP@%$CPP%g
2131s%@RANLIB@%$RANLIB%g
2132s%@AR@%$AR%g
2133s%@PERL@%$PERL%g
2134s%@ADDR2LINE@%$ADDR2LINE%g
2135s%@NM@%$NM%g
2136
2137CEOF
2138EOF
2139
2140cat >> $CONFIG_STATUS <<\EOF
2141
2142# Split the substitutions into bite-sized pieces for seds with
2143# small command number limits, like on Digital OSF/1 and HP-UX.
2144ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
2145ac_file=1 # Number of current file.
2146ac_beg=1 # First line for current file.
2147ac_end=$ac_max_sed_cmds # Line after last line for current file.
2148ac_more_lines=:
2149ac_sed_cmds=""
2150while $ac_more_lines; do
2151  if test $ac_beg -gt 1; then
2152    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
2153  else
2154    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
2155  fi
2156  if test ! -s conftest.s$ac_file; then
2157    ac_more_lines=false
2158    rm -f conftest.s$ac_file
2159  else
2160    if test -z "$ac_sed_cmds"; then
2161      ac_sed_cmds="sed -f conftest.s$ac_file"
2162    else
2163      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
2164    fi
2165    ac_file=`expr $ac_file + 1`
2166    ac_beg=$ac_end
2167    ac_end=`expr $ac_end + $ac_max_sed_cmds`
2168  fi
2169done
2170if test -z "$ac_sed_cmds"; then
2171  ac_sed_cmds=cat
2172fi
2173EOF
2174
2175cat >> $CONFIG_STATUS <<EOF
2176
2177CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
2178EOF
2179cat >> $CONFIG_STATUS <<\EOF
2180for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
2181  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2182  case "$ac_file" in
2183  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2184       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2185  *) ac_file_in="${ac_file}.in" ;;
2186  esac
2187
2188  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
2189
2190  # Remove last slash and all that follows it.  Not all systems have dirname.
2191  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2192  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2193    # The file is in a subdirectory.
2194    test ! -d "$ac_dir" && mkdir "$ac_dir"
2195    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
2196    # A "../" for each directory in $ac_dir_suffix.
2197    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
2198  else
2199    ac_dir_suffix= ac_dots=
2200  fi
2201
2202  case "$ac_given_srcdir" in
2203  .)  srcdir=.
2204      if test -z "$ac_dots"; then top_srcdir=.
2205      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
2206  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
2207  *) # Relative path.
2208    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
2209    top_srcdir="$ac_dots$ac_given_srcdir" ;;
2210  esac
2211
2212
2213  echo creating "$ac_file"
2214  rm -f "$ac_file"
2215  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
2216  case "$ac_file" in
2217  *Makefile*) ac_comsub="1i\\
2218# $configure_input" ;;
2219  *) ac_comsub= ;;
2220  esac
2221
2222  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2223  sed -e "$ac_comsub
2224s%@configure_input@%$configure_input%g
2225s%@srcdir@%$srcdir%g
2226s%@top_srcdir@%$top_srcdir%g
2227" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
2228fi; done
2229rm -f conftest.s*
2230
2231# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
2232# NAME is the cpp macro being defined and VALUE is the value it is being given.
2233#
2234# ac_d sets the value in "#define NAME VALUE" lines.
2235ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
2236ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
2237ac_dC='\3'
2238ac_dD='%g'
2239# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
2240ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
2241ac_uB='\([      ]\)%\1#\2define\3'
2242ac_uC=' '
2243ac_uD='\4%g'
2244# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
2245ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
2246ac_eB='$%\1#\2define\3'
2247ac_eC=' '
2248ac_eD='%g'
2249
2250if test "${CONFIG_HEADERS+set}" != set; then
2251EOF
2252cat >> $CONFIG_STATUS <<EOF
2253  CONFIG_HEADERS="omConfig.h"
2254EOF
2255cat >> $CONFIG_STATUS <<\EOF
2256fi
2257for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
2258  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2259  case "$ac_file" in
2260  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2261       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2262  *) ac_file_in="${ac_file}.in" ;;
2263  esac
2264
2265  echo creating $ac_file
2266
2267  rm -f conftest.frag conftest.in conftest.out
2268  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2269  cat $ac_file_inputs > conftest.in
2270
2271EOF
2272
2273# Transform confdefs.h into a sed script conftest.vals that substitutes
2274# the proper values into config.h.in to produce config.h.  And first:
2275# Protect against being on the right side of a sed subst in config.status.
2276# Protect against being in an unquoted here document in config.status.
2277rm -f conftest.vals
2278cat > conftest.hdr <<\EOF
2279s/[\\&%]/\\&/g
2280s%[\\$`]%\\&%g
2281s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
2282s%ac_d%ac_u%gp
2283s%ac_u%ac_e%gp
2284EOF
2285sed -n -f conftest.hdr confdefs.h > conftest.vals
2286rm -f conftest.hdr
2287
2288# This sed command replaces #undef with comments.  This is necessary, for
2289# example, in the case of _POSIX_SOURCE, which is predefined and required
2290# on some systems where configure will not decide to define it.
2291cat >> conftest.vals <<\EOF
2292s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
2293EOF
2294
2295# Break up conftest.vals because some shells have a limit on
2296# the size of here documents, and old seds have small limits too.
2297
2298rm -f conftest.tail
2299while :
2300do
2301  ac_lines=`grep -c . conftest.vals`
2302  # grep -c gives empty output for an empty file on some AIX systems.
2303  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
2304  # Write a limited-size here document to conftest.frag.
2305  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
2306  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
2307  echo 'CEOF
2308  sed -f conftest.frag conftest.in > conftest.out
2309  rm -f conftest.in
2310  mv conftest.out conftest.in
2311' >> $CONFIG_STATUS
2312  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
2313  rm -f conftest.vals
2314  mv conftest.tail conftest.vals
2315done
2316rm -f conftest.vals
2317
2318cat >> $CONFIG_STATUS <<\EOF
2319  rm -f conftest.frag conftest.h
2320  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
2321  cat conftest.in >> conftest.h
2322  rm -f conftest.in
2323  if cmp -s $ac_file conftest.h 2>/dev/null; then
2324    echo "$ac_file is unchanged"
2325    rm -f conftest.h
2326  else
2327    # Remove last slash and all that follows it.  Not all systems have dirname.
2328      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2329      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2330      # The file is in a subdirectory.
2331      test ! -d "$ac_dir" && mkdir "$ac_dir"
2332    fi
2333    rm -f $ac_file
2334    mv conftest.h $ac_file
2335  fi
2336fi; done
2337
2338EOF
2339cat >> $CONFIG_STATUS <<EOF
2340
2341EOF
2342cat >> $CONFIG_STATUS <<\EOF
2343\
2344 if test "$CONFIG_HEADERS"; then echo timestamp > stamp-h; fi
2345exit 0
2346EOF
2347chmod +x $CONFIG_STATUS
2348rm -fr confdefs* $ac_clean_files
2349test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2350
2351
2352
2353
2354
Note: See TracBrowser for help on using the repository browser.